## ros-humble-rviz-visual-testing-framework 11.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_visual_testing_framework)

# Options to decide whether or not the visual test will run.
option(EnableVisualTests "decides whether or not enable the tests")

# Path variables needed to save and find screenshots for image comparison.
add_definitions(-D_BUILD_DIR_PATH="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions(-D_SRC_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

# Creates a directory where the test and reference screenshots will be saved.
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/test_images)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test/reference_images)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

find_package(ament_cmake REQUIRED)

find_package(rcutils REQUIRED)

find_package(rviz_common REQUIRED)

find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets Test)

find_package(ament_cmake_gtest REQUIRED)
ament_find_gtest()

set(visual_test_framework_source_files
  include/rviz_visual_testing_framework/page_objects/base_page_object.hpp
  src/page_objects/base_page_object.cpp
  include/rviz_visual_testing_framework/page_objects/page_object_with_window.hpp
  src/page_objects/page_object_with_window.cpp
  src/internal/rviz_scene_test.cpp
  include/rviz_visual_testing_framework/internal/rviz_scene_test.hpp
  include/rviz_visual_testing_framework/internal/display_handler.hpp
  src/internal/display_handler.cpp
  src/internal/image_tester.cpp
  include/rviz_visual_testing_framework/internal/image_tester.hpp
  include/rviz_visual_testing_framework/test_helpers.hpp
  src/test_helpers.cpp
  include/rviz_visual_testing_framework/internal/executor.hpp
  src/internal/executor.cpp
  include/rviz_visual_testing_framework/internal/transform_message_creator.hpp
  src/internal/transform_message_creator.cpp
  include/rviz_visual_testing_framework/internal/visual_test.hpp
  src/internal/visual_test.cpp
  include/rviz_visual_testing_framework/visual_test_fixture.hpp
  src/visual_test_fixture.cpp
  include/rviz_visual_testing_framework/visual_test_publisher.hpp
)

set(visual_tests_target_libaries
  rviz_common::rviz_common
  Qt5::Widgets
  Qt5::Test)

# TODO(wjwwood): this block is to setup the windeployqt tool, could be removed later.
if(Qt5_FOUND AND WIN32 AND TARGET Qt5::qmake AND NOT TARGET Qt5::windeployqt)
  get_target_property(_qt5_qmake_location Qt5::qmake IMPORTED_LOCATION)

  execute_process(
    COMMAND "${_qt5_qmake_location}" -query QT_INSTALL_PREFIX
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE qt5_install_prefix
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
endif()

add_library(rviz_visual_testing_framework STATIC ${visual_test_framework_source_files})

target_include_directories(rviz_visual_testing_framework
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
    ${GTEST_INCLUDE_DIRS})

target_link_libraries(rviz_visual_testing_framework
  ${visual_tests_target_libaries})

# export information to downstream packages
ament_export_dependencies(Qt5)
ament_export_dependencies(rviz_common)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")

# Export modern CMake targets
ament_export_targets(rviz_visual_testing_framework)

install(
  TARGETS rviz_visual_testing_framework
  EXPORT rviz_visual_testing_framework
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

install(
  DIRECTORY config
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-rviz-visual-testing-framework (11.2.7-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.6-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.5-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (10.0.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.0.1-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.7.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.6.0-1jammy) jammy; urgency=high

  * Update includes after rcutils/get_env.h deprecation (#677 <https://github.com/ros2/rviz/issues/677>)
  * Contributors: Christophe Bedard

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.5.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.4.0-1jammy) jammy; urgency=high

  * Quiet a clang warning about a Qt memory leak. (#651 <https://github.com/ros2/rviz/issues/651>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.3.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.3.0-1jammy) jammy; urgency=high

  * use rcutils_get_env. (#609 <https://github.com/ros2/rviz/issues/609>)
  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Contributors: Jacob Perron, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.1.0-1jammy) jammy; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.0.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.0.2-1jammy) jammy; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 May 2020 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 06 May 2020 22:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.0.0-1jammy) jammy; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Changed to use ``ament_export_targets()``. (#525 <https://github.com/ros2/rviz/issues/525>)
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-visual-testing-framework//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rviz-visual-testing-framework 11.2.12

=== debian/changelog ===
ros-humble-rviz-visual-testing-framework (11.2.12-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.11-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.10-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.9-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.8-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.7-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.6-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.5-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.4-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.3-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.2-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (10.0.0-1bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.0.1-1bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.7.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.6.0-1bookworm) bookworm; urgency=high

  * Update includes after rcutils/get_env.h deprecation (#677 <https://github.com/ros2/rviz/issues/677>)
  * Contributors: Christophe Bedard

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.5.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.4.0-1bookworm) bookworm; urgency=high

  * Quiet a clang warning about a Qt memory leak. (#651 <https://github.com/ros2/rviz/issues/651>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.3.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.3.0-1bookworm) bookworm; urgency=high

  * use rcutils_get_env. (#609 <https://github.com/ros2/rviz/issues/609>)
  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Contributors: Jacob Perron, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.2.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.1.0-1bookworm) bookworm; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.0.3-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 16:00:00 -0000



## ros-humble-rviz-visual-testing-framework 11.2.13

=== debian/changelog ===
ros-humble-rviz-visual-testing-framework (11.2.13-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.12-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.11-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.10-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.9-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.8-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.7-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.6-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.5-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.4-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.3-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.2-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.2.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (11.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (10.0.0-2bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.0.1-2bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (9.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.7.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.6.0-2bookworm) bookworm; urgency=high

  * Update includes after rcutils/get_env.h deprecation (#677 <https://github.com/ros2/rviz/issues/677>)
  * Contributors: Christophe Bedard

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.5.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.4.0-2bookworm) bookworm; urgency=high

  * Quiet a clang warning about a Qt memory leak. (#651 <https://github.com/ros2/rviz/issues/651>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.3.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.3.0-2bookworm) bookworm; urgency=high

  * use rcutils_get_env. (#609 <https://github.com/ros2/rviz/issues/609>)
  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Contributors: Jacob Perron, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.2.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-visual-testing-framework (8.1.0-2bookworm) bookworm; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000



=== debian/control ===
Source: ros-humble-rviz-visual-testing-framework
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-gtest, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-rcutils, ros-humble-rviz-common, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/rviz2
Standards-Version: 3.9.2

Package: ros-humble-rviz-visual-testing-framework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake-gtest, ros-humble-rcutils, ros-humble-rviz-common, ros-humble-ros-workspace
Description: 3D testing framework for RViz.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-visual-testing-framework//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-visual-testing-framework//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-visual-testing-framework//opt/ros/humble/opt/rviz_visual_testing_framework/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
